nacos:
  cmdb:
    dumpTaskInterval: 3600
    eventTaskInterval: 10
    labelTaskInterval: 300
    loadDataAtStart: false
  security: # 删除此配置无需登录验证
    ignore:
      urls: /,/**/*.css,/**/*.js,/**/*.html,/**/*.map,/**/*.svg,/**/*.png,/**/*.ico,/console-fe/public/**,/v1/auth/login,/v1/console/health/**,/v1/cs/**,/v1/ns/**,/v1/cmdb/**,/actuator/**,/v1/console/server/**

db:
  num: 1
  user: root
  password: NTenergy&2023@
  url:
    0: jdbc:mysql://36.147.33.56:17899/energy_nacos_config?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

#db:
#  num: 1
#  user: jly
#  password: ntDB@2022
#  url:
#    0: jdbc:mysql://220.163.102.62:18305/reg_config?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

    #  user: root
  #  password: root #ynnicDB@2020 #123456
  #  url:
  #    0: jdbc:mysql://${MYSQL-HOST:nt-mysql}:${MYSQL-PORT:3306}/${MYSQL-DB:nacos}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

    #  url:
#    0: jdbc:mysql://${MYSQL-HOST:10.10.13.122}:${MYSQL-PORT:18306}/${MYSQL-DB:reg_config}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

    #  user: root
#  password: root #ynnicDB@2020 #123456
#  url:
#    0: jdbc:mysql://${MYSQL-HOST:nt-mysql}:${MYSQL-PORT:3306}/${MYSQL-DB:nacos}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
#  user: jly
#  password: ntDB@2022

    #1: jdbc:mysql://10.10.13.122:18306/reg_config?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

spring:
  datasource:
    platform: mysql
  security:
    enabled: true

server:
  tomcat:
    basedir: logs

